bio-0.5.2: A bioinformatics library

Safe Haskell | Safe-Inferred

Bio.Sequence.Phd

Description

Parse phd files (phred base calling output).

Synopsis

- readPhd :: FilePath -> IO (Sequence Nuc)
- hReadPhd :: Handle -> IO (Sequence Nuc)

# Documentation

readPhd :: FilePath -> IO (Sequence Nuc)

Parse a .phd file, extracting the contents as a Sequence

hReadPhd :: Handle -> IO (Sequence Nuc)

Parse .phd contents from a handle